Package org.silverpeas.components.questionreply.model

## Class Category

- java.lang.Object
- - org.silverpeas.core.i18n.AbstractI18NBean<org.silverpeas.core.node.model.NodeI18NDetail>
  - - org.silverpeas.core.node.model.NodeDetail
    - - org.silverpeas.components.questionreply.model.Category

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.Folder`, `org.silverpeas.core.contribution.model.I18nContribution`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.i18n.I18NBean<org.silverpeas.core.node.model.NodeI18NDetail>`, `org.silverpeas.core.i18n.LocalizedResource`, `org.silverpeas.core.i18n.Translatable`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public class Category
      extends org.silverpeas.core.node.model.NodeDetail

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.node.model.NodeDetail

      `DEFAULT_NODE_TYPE, FILE_LINK_TYPE, NO_RIGHTS_DEPENDENCY, STATUS_INVISIBLE, STATUS_VISIBLE, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Category​(org.silverpeas.core.node.model.NodeDetail node)` |

  - ### Method Summary

    - ### Methods inherited from class org.silverpeas.core.node.model.NodeDetail

      `canBeAccessedBy, canBeFiledInBy, canBeModifiedBy, canBeSharedBy, equals, getChildrenDetails, getChildrenNumber, getContributionType, getCreationDate, getCreator, getCreatorId, getFatherPK, getFullPath, getId, getIdentifier, getLastUpdateDate, getLastUpdater, getLevel, getLink, getLocalId, getModelId, getNbObjects, getNodePK, getNodeType, getOrder, getPath, getPermalink, getRemovalDate, getRemover, getRemoverId, getRightsDependsOn, getStatus, getTranslationType, getURL, getUserRole, hasFather, hashCode, haveInheritedRights, haveLocalRights, haveRights, isBin, isChild, isFatherOf, isRemoved, isRoot, isUnclassified, isUseId, setChildrenDetails, setCreationDate, setCreatorId, setFatherPK, setId, setLevel, setModelId, setNbObjects, setNodePK, setNodeType, setOrder, setPath, setRemovalStatus, setRightsDependsOn, setRightsDependsOnMe, setStatus, setUseId, setUserRole, toString`

    - ### Methods inherited from class org.silverpeas.core.i18n.AbstractI18NBean

      `addTranslation, getClonedTranslations, getDescription, getDescription, getLanguage, getLanguages, getLanguageToDisplay, getName, getName, getNextTranslation, getTranslation, getTranslationId, getTranslations, isRemoveTranslation, setDescription, setLanguage, setName, setRemoveTranslation, setTranslationId, setTranslations, setTranslations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `getDescription, getModel, getName, getResourcePath, getTitle, isIndexable`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.I18nContribution

      `getLocalizationIn`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.i18n.LocalizedResource

      `getTranslation`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy`

- - ### Constructor Detail

    - #### Category

          public Category​(org.silverpeas.core.node.model.NodeDetail node)